Home page logo
/

bugtraq logo Bugtraq mailing list archives

[ MDVSA-2013:088 ] hplip
From: security () mandriva com
Date: Tue, 09 Apr 2013 20:36:00 +0200

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 _______________________________________________________________________

 Mandriva Linux Security Advisory                         MDVSA-2013:088
 http://www.mandriva.com/en/support/security/
 _______________________________________________________________________

 Package : hplip
 Date    : April 9, 2013
 Affected: Business Server 1.0
 _______________________________________________________________________

 Problem Description:

 This hplip update addresses the folloving issues:
 
 Print/Fax queues can now be analyzed by running hp-diagnose-queues
 
 fixes some issues and duplex scanning support with newer AIO devices
 
 fixes Wireless configuration using hp-wificonfig command for HP
 Deskjet 3000 J310 series and HP Deskjet 3050 J610 series
 
 fixes the blurry printing issue on HP LaserJet CP1025 and CP1025nw
 
 Full changelog is available upstream:
 http://hplipopensource.com/hplip-web/release_notes.html
 Also note there were several issues fixed upstream.
 
 Some HP printers / multi-function devices require plugins additionally
 to hplip to function correctly. This update makes the installation
 of such plugins possible again.
 
 Several temporary file handling flaws were found in HPLIP. A local
 attacker could use these flaws to perform a symbolic link attack,
 overwriting arbitrary files accessible to a process using HPLIP
 (CVE-2013-0200).
 _______________________________________________________________________

 References:

 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-0200
 https://wiki.mageia.org/en/Support/Advisories/MGAA-2012-0121
 https://wiki.mageia.org/en/Support/Advisories/MGAA-2012-0220
 https://wiki.mageia.org/en/Support/Advisories/MGASA-2013-0072
 _______________________________________________________________________

 Updated Packages:

 Mandriva Business Server 1/X86_64:
 f1a0ef4d93d157b138057503509d8c3c  mbs1/x86_64/hplip-3.12.4-1.mbs1.x86_64.rpm
 f33e09dfa3843ae49ecd842a41064362  mbs1/x86_64/hplip-doc-3.12.4-1.mbs1.x86_64.rpm
 d5119d9dd9b9f4eea93e3d7e9943bcee  mbs1/x86_64/hplip-hpijs-3.12.4-1.mbs1.x86_64.rpm
 4fd4aec9d54acc16ece3766ff658457c  mbs1/x86_64/hplip-hpijs-ppds-3.12.4-1.mbs1.x86_64.rpm
 3a345d3c76c0b0190c230905e078dcc4  mbs1/x86_64/hplip-model-data-3.12.4-1.mbs1.x86_64.rpm
 522ac7910fccdb7cf6af02f9cc9c5174  mbs1/x86_64/lib64hpip0-3.12.4-1.mbs1.x86_64.rpm
 ef9e9dc3e27d35d9f586eaf02ddde9aa  mbs1/x86_64/lib64hpip0-devel-3.12.4-1.mbs1.x86_64.rpm
 d52b15942d98720acd687e1bf3517b3f  mbs1/x86_64/lib64sane-hpaio1-3.12.4-1.mbs1.x86_64.rpm 
 fc054cb8985e19774cc83318a2ef0f83  mbs1/SRPMS/hplip-3.12.4-1.mbs1.src.rpm
 _______________________________________________________________________

 To upgrade automatically use MandrivaUpdate or urpmi.  The verification
 of md5 checksums and GPG signatures is performed automatically for you.

 All packages are signed by Mandriva for security.  You can obtain the
 GPG public key of the Mandriva Security Team by executing:

  gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

 You can view other update advisories for Mandriva Linux at:

  http://www.mandriva.com/en/support/security/advisories/

 If you want to report vulnerabilities, please contact

  security_(at)_mandriva.com
 _______________________________________________________________________

 Type Bits/KeyID     Date       User ID
 pub  1024D/22458A98 2000-07-10 Mandriva Security Team
  <security*mandriva.com>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFRZDV1mqjQ0CJFipgRAlVEAJ41CtmYwhz0dslED0MZc1rh2GywgACeIDLm
956ukAesE8DbTIXh/xlLdJI=
=HHDA
-----END PGP SIGNATURE-----


  By Date           By Thread  

Current thread:
  • [ MDVSA-2013:088 ] hplip security (Apr 09)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]